//-*-c++-*--------------------------------------------------------------
//  nsrTrace.cpp
//   Code for tracing execution, errors, and calls.
//
//      Unpublished Confidential Information of Hewlett-Packard
//      Company. Do not disclose.  Copyright (c) Hewlett-Packard
//      Company 1995. All rights reserved
// 
// The contents of this software are proprietary and confidential to
// the Hewlett- Packard Company, and are limited in distribution to
// those with a direct need to know.  Individuals having access to
// this software are responsible for maintaining the confidentiality
// of the content and for keeping the software secure when not in use.
// Transfer to any party is strictly forbidden other than as expressly
// permitted in writing by Hewlett-Packard Company.  Unauthorized
// transfer to or possession by any unauthorized party may be a
// criminal offense.
//
//                  RESTRICTED RIGHTS LEGEND
//
//      Use,  duplication,  or disclosure by the U. S. Government is
//      subject to restrictions as set forth in subparagraph (c) (1)
//      (ii) in the Rights in Technical Data and Computer Software
//      clause in DFARS 252.227-7013 or any other successor clause.
//
//                      HEWLETT-PACKARD COMPANY
//                      3000 Hanover St.
//                      Palo Alto, CA  94304 U.S.A.
//
//      Rights for non-DOD U.S. Government Departments and Agencies
//      are as set forth in FAR 52.227-19 (c) (1,2) or any other
//      successor clause.
//
//  CLASSES:
//   Trace
//  
//----------------------------------------------------------------------
//
// $Source: /home/cvsroot/udf/udfCore/sys/nsrTrace.cpp,v $
// $Revision: 1.1.1.1 $     $Author: dvm $
// $State: Exp $        $Locker:  $
// $Date: 1998/07/30 07:02:42 $
//

#include "nsrLib.h"

// Instantiate the static members of Trace object.

NSR::Error * NSR::Trace::defaultErrorp_ = NULL;
FILE *       NSR::Trace::logFile_       = NULL;
NSR::Boolean NSR::Trace::logErrors_     = False;
NSR::Boolean NSR::Trace::logCalls_      = False;
NSR::Boolean NSR::Trace::logAlgorithms_ = False;
